Class | OLEProperty
In: | win32ole/lib/win32ole/property.rb
Parent: | Object

OLEProperty helper class of Property with arguments.

### Methods

[] []= new

### Public Class methods

new(obj, dispid, gettypes, settypes)

[Source]

    # File win32ole/lib/win32ole/property.rb, line 4
      def initialize(obj, dispid, gettypes, settypes)
        @obj = obj
        @dispid = dispid
        @gettypes = gettypes
        @settypes = settypes
      end

### Public Instance methods

[](*args)

[Source]

    # File win32ole/lib/win32ole/property.rb, line 10
      def [](*args)
        @obj._getproperty(@dispid, args, @gettypes)
      end

[]=(*args)

[Source]

    # File win32ole/lib/win32ole/property.rb, line 13
      def []=(*args)
        @obj._setproperty(@dispid, args, @settypes)
      end

[Validate]